Skip to content
Docs

Complete the rolling release for the project

POSThttps://api.vercel.com/v1/projects/{idOrName}/rolling-release/complete
Force-complete a Rolling Release. The canary deployment will begin serving 100% of the traffic.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.rollingRelease.completeRollingRelease({
idOrName: "<value>",
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
});
console.log(result);
}
run();
Response
{
"rollingRelease": {
"state": "ACTIVE",
"substate": "PAUSED",
"currentDeployment": {
"name": "my-project",
"createdAt": "1540257589405",
"readyState": "READY",
"id": "dpl_89qyp1cskzkLrVicDaZoDbjyHuDJ",
"target": "null",
"readyStateAt": "123",
"source": "cli",
"url": "my-instant-deployment-3ij3cxz9qr.now.sh"
},
"canaryDeployment": {
"name": "my-project",
"createdAt": "1540257589405",
"readyState": "READY",
"id": "dpl_89qyp1cskzkLrVicDaZoDbjyHuDJ",
"target": "null",
"readyStateAt": "123",
"source": "cli",
"url": "my-instant-deployment-3ij3cxz9qr.now.sh"
},
"queuedDeploymentId": "dpl_ghi789",
"advancementType": "manual-approval",
"stages": [
{
"index": "0",
"isFinalStage": "false",
"targetPercentage": "25",
"requireApproval": "false",
"duration": "null",
"linearShift": "false"
}
],
"activeStage": {
"index": "0",
"isFinalStage": "false",
"targetPercentage": "25",
"requireApproval": "false",
"duration": "null",
"linearShift": "false"
},
"nextStage": {
"index": "0",
"isFinalStage": "false",
"targetPercentage": "25",
"requireApproval": "false",
"duration": "null",
"linearShift": "false"
},
"startedAt": "1716210500000",
"updatedAt": "1716210600000",
"currentCanaryPercentage": "123"
}
}
AuthorizationbearerToken

Default authentication mechanism

idOrNamestringRequired
Project ID or project name (URL-encoded)
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
canaryDeploymentIdstringRequired
The ID of the canary deployment to complete
200Success
rollingReleaseobjectRequired
Rolling release information including configuration and document details, or null if no rolling release exists
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error